#!/bin/sh

set -ex

# defaults
HOST=8.8.4.4 # google public dns

# config
[ ! -f "`dirname $0`/watchdog.conf" ] || . "`dirname $0`/watchdog.conf"

if [ "$1" = "start" ]
then
    while ! ping -c 5 $HOST; do sleep 10; done # wait for host to be up
    ping $HOST >/dev/watchdog 2>/dev/null & # start watchdog
elif [ "$1" = "stop" ]
then
    pgrep -f "ping $HOST" | xargs kill
else
    echo "USAGE: $0 {start|stop}"
    exit 1
fi
